多重引线(某些)不会r
大家好,我在这里发布了Bugs and quirks group。但我觉得这是lisp的工作。
问题是,本例中的一个MLEADER没有使用DRE命令进行关联,另一个是。我有过这样的DWG,因为某些原因,其他的MLEADER都是这样的。
见附图。
我使用了下面帮助页面中的代码,这两个MLeader都有一个相关的扩展字典。
所有常见的转储VLA和DXF转储也没有什么不同。
(vl-load-com)
(defun c:DumpExtensionDictionary()
;; This example will iterate through each object in the current drawing and
;; determine whether that object has an associated Extension Dictionary
(setq acadObj (vlax-get-acad-object))
(setq doc (vla-get-ActiveDocument acadObj))
(setq modelSpace (vla-get-ModelSpace doc))
;; Make sure this drawing contains objects before continuing
(if (= (vla-get-Count modelSpace) 0)
(alert "There are no objects in the current drawing.")
(progn
(setq ExtensionDictionaryResults "")
(vlax-for DrawingObject modelSpace
;; Determine whether object contains Extension Dictionary
(cond
((= (vla-get-HasExtensionDictionary DrawingObject) :vlax-true)
(setq ExtensionDictionaryResults (strcat ExtensionDictionaryResults
(vla-get-ObjectName DrawingObject)
" has an associated Extension Dictionary.\n")))
((= (vla-get-HasExtensionDictionary DrawingObject) :vlax-false)
(setq ExtensionDictionaryResults (strcat ExtensionDictionaryResults
(vla-get-ObjectName DrawingObject)
" does not have an associated Extension Dictionary.\n")))
)
)
(alert ExtensionDictionaryResults)
)
)
)
页:
[1]